Characters (Java Platform SE 8 )
Keywords: javax.xml.stream.events.Characters interface
Date: 2016-12-09

compact2, compact3
javax.xml.stream.events

## Interface Characters

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface Characters
      extends XMLEvent

  This describes the interface to Characters events. All text events get reported as Characters events. Content, CData and whitespace are all reported as Characters events. IgnorableWhitespace, in most cases, will be set to false unless an element declaration of element content is present for the current element.
  Since:
    1.6
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getData()` Get the character data of this event
    `boolean` | `isCData()` Returns true if this is a CData section.
    `boolean` | `isIgnorableWhiteSpace()` Return true if this is ignorableWhiteSpace.
    `boolean` | `isWhiteSpace()` Returns true if this set of Characters is all whitespace.

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getData

          String getData()

      Get the character data of this event

    - #### isWhiteSpace

          boolean isWhiteSpace()

      Returns true if this set of Characters is all whitespace. Whitespace inside a document is reported as CHARACTERS. This method allows checking of CHARACTERS events to see if they are composed of only whitespace characters

    - #### isCData

          boolean isCData()

      Returns true if this is a CData section. If this event is CData its event type will be CDATA If javax.xml.stream.isCoalescing is set to true CDATA Sections that are surrounded by non CDATA characters will be reported as a single Characters event. This method will return false in this case.

    - #### isIgnorableWhiteSpace

          boolean isIgnorableWhiteSpace()

      Return true if this is ignorableWhiteSpace. If this event is ignorableWhiteSpace its event type will be SPACE.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.